/*
 * Copyright 2021 European Commission
 *
 * Licensed under the EUPL, Version 1.2 or – as soon they will be approved by the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 *     https://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and limitations under the Licence.
 */
package eu.europa.ec.leos.web.ui.themes;

import com.vaadin.server.ThemeResource;
import com.vaadin.ui.themes.ValoTheme;

public class LeosTheme extends ValoTheme {

    public static final String NAME="leos";

    // leos image resources
    public static final ThemeResource LEOS_HEADER_LOGO_RESOURCE =  new ThemeResource("img/logo_en.png");
    public static final ThemeResource LEOS_HEADER_LOGO_RESOURCE_PROPOSAL =  new ThemeResource("img/logo_proposal_en.gif");
    public static final ThemeResource LEOS_HEADER_LOGO_RESOURCE_MANDATE =  new ThemeResource("img/logo_mandate_en.gif");
    public static final ThemeResource LEOS_HEADER_HOME_ICON =   new ThemeResource("img/house.png");

    // leos theme icons resources
    public static final ThemeResource LEOS_DOCVIEW_CLOSE = new ThemeResource("icons/16/cross.png");

    public static final ThemeResource LEOS_MENU_SETTINGS_ICON_16 = new ThemeResource("icons/16/settings.png");
    public static final ThemeResource LEOS_MENU_DEV_ICON_16 = new ThemeResource("icons/16/development.png");

    public static final ThemeResource LEOS_TOC_ON_ICON_16 = new ThemeResource("icons/16/toc-on.png");
    public static final ThemeResource LEOS_TOC_OFF_ICON_16 = new ThemeResource("icons/16/toc-off.png");
    public static final ThemeResource LEOS_TOC_LEFT_ICON_16 = new ThemeResource("icons/16/toc-left.png");
    public static final ThemeResource LEOS_TOC_RIGHT_ICON_16 = new ThemeResource("icons/16/toc-right.png");
    public static final ThemeResource LEOS_CHANGES_ON_ICON_16 = new ThemeResource("icons/16/changes-on.png");
    public static final ThemeResource LEOS_TOC_TREE_ICON_16 = new ThemeResource("icons/16/toc-tree.png");
    public static final ThemeResource LEOS_TOC_EDIT_ICON_16 = new ThemeResource("icons/16/toc-edit.png");
    public static final ThemeResource TREE_EXPAND_ICON_16 = new ThemeResource("icons/16/tree-expand.png");
    public static final ThemeResource TREE_CATEGORY_ICON_16 = new ThemeResource("icons/16/tree-category.png");
    public static final ThemeResource TREE_TEMPLATE_ICON_16 = new ThemeResource("icons/16/tree-template.png");
    public static final ThemeResource LEOS_DAP_ICON_16 = new ThemeResource("icons/16/dap.png");
    public static final ThemeResource LEOS_INFO_YELLOW_16 = new ThemeResource("icons/16/info-yellow.png");
    public static final ThemeResource LEOS_HAMBURGUER_16 = new ThemeResource("icons/16/hamburguer.png");
    public static final ThemeResource LEOS_CHECKBOX_16 = new ThemeResource("icons/16/checkbox.png");
    public static final ThemeResource LEOS_TOC_CANCEL_ICON_16 = new ThemeResource("icons/16/toc-cancel.png");
    public static final ThemeResource LEOS_TOC_SAVE_ICON_16 = new ThemeResource("icons/16/toc-save.png");
    public static final ThemeResource LEOS_TOC_SAVE_CLOSE_ICON_16 = new ThemeResource("icons/16/toc-save-close.png");
    public static final ThemeResource LEOS_HAMBURGUER_VERSIONS_16 = new ThemeResource("icons/16/version_actions.png");

}
